package com.aplusinformatique.aplusmanager.Services;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;

import com.aplusinformatique.aplusmanager.Classes.Destinataire;
import com.aplusinformatique.aplusmanager.Tools.Global;

public class RecupererDestinataires extends Service {
    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }

    @Override
    public void onStart(Intent intent, int startId) {
        super.onStart(intent, startId);

        Log.d("xxx", "recuperer destinataires");

        calculerTableauDestinataires();
    }

    private void calculerTableauDestinataires() {
        String destinatairesSerialises = "";

        for (Destinataire d : Global.destinaires) {
            destinatairesSerialises += d.getId() + ";";
        }

        if (destinatairesSerialises.length() > 0) {
            destinatairesSerialises = destinatairesSerialises.substring(0, destinatairesSerialises.length() - 1);
        }

        Log.d("serialize", "x : " + destinatairesSerialises);

        sendDestinatairesSerialises(destinatairesSerialises);
    }

    private void sendDestinatairesSerialises(String s) {
        Intent replyIntent = new Intent();
        replyIntent.setAction("com.aplusinformatique.aplusmanager.listegeofencing");
        replyIntent.putExtra("destinataires", s);
        sendBroadcast(replyIntent);
    }
}
